## r-cran-downloader 0.3

=== DESCRIPTION ===
Package: downloader
Maintainer: Winston Chang <winston@stdout.org>
Author: Winston Chang <winston@stdout.org>
Version: 0.3
License: GPL-2
Title: A package for downloading files over http and https
Description: This package provides a wrapper for the download.file
        function, making it possible to download files over https on
        Windows, Mac OS X, and other Unix-like platforms. The RCurl
        package provides this functionality (and much more) but can be
        difficult to install because it must be compiled with external
        dependencies. This package has no external dependencies, so it
        is much easier to install.
URL: https://github.com/wch/downloader
Imports: digest
Suggests: testthat
Collate: 'download.r' 'downloader-package.r' 'source_url.r' 'sha_url.r'
Packaged: 2013-05-01 03:58:23 UTC; winston
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-05-01 07:23:57

=== debian/changelog ===
r-cran-downloader (0.3-3) unstable; urgency=low

  [ The Debichem Group ]
  * Move debian/upstream to debian/upstream/metadata.
  * debian/control:
    - Set Standards-Version to 3.9.5.
    - Use canonical URI in Vcs-* fields.

  [ Filippo Rusconi ]
  * Upload.
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Oct 2014 09:38:58 +0200

r-cran-downloader (0.3-2) unstable; urgency=low

  * debian/control: set maintainer to the debichem group.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Tue, 04 Jun 2013 15:55:13 +0200

r-cran-downloader (0.3-1) unstable; urgency=low

  * Initial package release (Closes: #710827);
  * Upload by Filippo Rusconi <lopippo@debian.org>.

 -- Sebastian Gibb <sgibb.debian@gmail.com>  Sun, 02 Jun 2013 21:46:10 +0200

=== debian/control ===
Source: r-cran-downloader
Section: gnu-r
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 2.15.0), r-cran-digest
Standards-Version: 3.9.5
Homepage: http://cran.r-project.org/web/packages/downloader/index.html
Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-downloader.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debichem/packages/r-cran-downloader.git

Package: r-cran-downloader
Architecture: any
Depends: r-cran-digest, ${misc:Depends}, ${R:Depends}
Description: GNU R package for downloading files over http and https
 This package provides a wrapper for the download.file function, making it
 possible to download files over https on Windows, Mac OS X, and other
 Unix-like platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-downloader package
# Copyright 2013 by Sebastian Gibb <sgibb.debian@gmail.com>

include /usr/share/R/debian/r-cran.mk

DEB_DH_ALWAYS_EXCLUDE := README.md
DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL := NEWS

get-orig-source:
	## download newest version from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/downloader_([\d\.]*).tar.gz

## r-cran-downloader 0.4

=== DESCRIPTION ===
Package: downloader
Maintainer: Winston Chang <winston@stdout.org>
Author: Winston Chang <winston@stdout.org>
Version: 0.4
License: GPL-2
Title: Download Files over HTTP and HTTPS
Description: Provides a wrapper for the download.file function,
    making it possible to download files over HTTPS on Windows, Mac OS X, and
    other Unix-like platforms. The 'RCurl' package provides this functionality
    (and much more) but can be difficult to install because it must be compiled
    with external dependencies. This package has no external dependencies, so
    it is much easier to install.
URL: https://github.com/wch/downloader
Imports: utils, digest
Suggests: testthat
BugReports: https://github.com/wch/downloader/issues
NeedsCompilation: no
Packaged: 2015-07-09 01:22:22 UTC; winston
Repository: CRAN
Date/Publication: 2015-07-09 14:47:41

=== debian/changelog ===
r-cran-downloader (0.4-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 07:38:21 +0200

r-cran-downloader (0.4-1) unstable; urgency=medium

  * Team upload

  [ Sebastian Gibb ]
  * New upstream release.
  * debian/control:
    - Use secure canonical URL in Homepage.
    - Use secure https URLs in Vcs-Git and Vcs-Browser.
    - Set Standards-Version to 3.9.8.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Architecture: all
  * Convert to dh-r
  * debhelper 10
  * Update d/copyright
  * d/watch: version=4
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 13:54:28 +0100

=== debian/control ===
Source: r-cran-downloader
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-digest
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/r-cran-downloader.git
Vcs-Git: https://alioth.debian.org/anonscm/git/debichem/packages/r-cran-downloader.git
Homepage: https://cran.r-project.org/package=downloader

Package: r-cran-downloader
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for downloading files over http and https
 This package provides a wrapper for the download.file function, making it
 possible to download files over https on Windows, Mac OS X, and other
 Unix-like platforms.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	## download newest version from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/downloader_([\d\.]*).tar.gz

## r-cran-downloader 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Package: downloader
 Maintainer: Winston Chang <winston@stdout.org>
-Author: Winston Chang <winston@stdout.org>
-Version: 0.4
+Authors@R: person(given = "Winston",
+    family = "Chang",
+    role = c("aut", "cre"),
+    email = "winston@stdout.org")
+Version: 0.4.1
 License: GPL-2
 Title: Download Files over HTTP and HTTPS
 Description: Provides a wrapper for the download.file function,
@@ -14,7 +17,9 @@
 Imports: utils, digest
 Suggests: testthat
 BugReports: https://github.com/wch/downloader/issues
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2015-07-09 01:22:22 UTC; winston
+Packaged: 2025-03-26 21:10:40 UTC; winston
+Author: Winston Chang [aut, cre]
 Repository: CRAN
-Date/Publication: 2015-07-09 14:47:41
+Date/Publication: 2025-03-26 21:40:01 UTC

=== debian/changelog ===
r-cran-downloader (0.4.1-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Replace Filippo by myself as Uploader (Thank you Filippo for your
    work on this package)

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 18 Dec 2025 13:22:28 +0900

r-cran-downloader (0.4-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 16:08:16 +0200

r-cran-downloader (0.4-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file
  * Drop unneeded gte-orig-source target

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 07:36:46 +0200

=== debian/control ===
Source: r-cran-downloader
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-digest,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-downloader
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-downloader.git
Homepage: https://cran.r-project.org/package=downloader
Rules-Requires-Root: no

Package: r-cran-downloader
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for downloading files over http and https
 This package provides a wrapper for the download.file function, making it
 possible to download files over https on Windows, Mac OS X, and other
 Unix-like platforms.
